wibble::SanitizeResultType< F > Struct Template Reference

`#include <amorph.h>`

## Public Types

typedef ReturnType< typename F::result_type >::T | result_type

## Public Member Functions

| SanitizeResultType (F _f)
result_type | operator() (typename F::argument_type a)

## Public Attributes

F | f

## Member Typedef Documentation

## result_type

template<typename F >

typedef ReturnType< typename F::result_type >::T wibble::SanitizeResultType< F >::result_type

## Constructor & Destructor Documentation

## SanitizeResultType()

template<typename F >

wibble::SanitizeResultType< F >::SanitizeResultType | ( | F | _f | ) |

inline

## Member Function Documentation

## operator()()

template<typename F >

result_type wibble::SanitizeResultType< F >::operator() | ( | typename F::argument_type | a | ) |

inline

References wibble::SanitizeReturn< F, R >::call().

## Member Data Documentation

## f

template<typename F >

F wibble::SanitizeResultType< F >::f

The documentation for this struct was generated from the following file:

- amorph.h